<?php
	class Setting{
		var $setting_filename = 'setup.xml';
		var $css_filename = 'store.css';
		var $dat_folder;
		
		var $shop_overview;
		var $shop_name;
		var $topinfo_html;
		
		var $shopex1_html;
		var $shopex2_html;
		
		var $shop_email;
		
		var $delivery_yamato;
		var $delivery_nittsu;
		var $delivery_sagawa;
		var $delivery_yupack;
		var $delivery_etc;
		var $delivery_carriage;
		var $delivery_plural;
		var $delivery_expensive;
		var $delivery_notes;
		
		var $postal_use;
		var $postal_detail;
		var $bank_use;
		var $bank_detail;
		var $substitution_use;
		var $substitution_detail;
		
		var $law_name;
		var $law_chargeperson;
		var $law_address;
		var $law_tel;
		var $law_fax;
		var $law_email;
		var $law_deliverytime;
		var $law_return;
		var $law_etcpay;
		var $law_defective;
		var $law_expirationdate;
		var $law_extra;
		var $law_software;
		
		var $body_bgcolor;
		var $topinfo_bgcolor;
		var $topinfo_color;
		var $topinfo_align;
		var $topinfo_height;
		var $goodsview_bgcolor;
		var $goodsview_color;
		var $underinfo_bgcolor;
		var $underinfo_color;
		var $underinfo_align;
		
		var $reg_code;
		var $reg_html;
		
		function ChangeForDataFile($inputstring){
			$output_string = str_replace("\r\n",'(r)',$inputstring);
			$output_string = str_replace("\n",'(r)',$output_string);
			$output_string = str_replace("<br />",'(r)',$output_string);
			
			return $output_string;
		}
		
		function UpdateSettingFile(){
			$temp_data = '';
			
			$temp_shop_overview = $this->ChangeForDataFile($this->shop_overview);
			$temp_shop_name = $this->ChangeForDataFile($this->shop_name);
			$temp_shop_email = $this->ChangeForDataFile($this->shop_email);
			
			$temp_topinfo_html = $this->ChangeForDataFile($this->topinfo_html);
			$temp_shopex1_html = $this->ChangeForDataFile($this->shopex1_html);
			$temp_shopex2_html = $this->ChangeForDataFile($this->shopex2_html);
			
			$temp_delivery_yamato = $this->ChangeForDataFile($this->delivery_yamato);
			$temp_delivery_nittsu = $this->ChangeForDataFile($this->delivery_nittsu);
			$temp_delivery_sagawa = $this->ChangeForDataFile($this->delivery_sagawa);
			$temp_delivery_yupack = $this->ChangeForDataFile($this->delivery_yupack);
			$temp_delivery_etc = $this->ChangeForDataFile($this->delivery_etc);
			$temp_delivery_carriage = $this->ChangeForDataFile($this->delivery_carriage);
			$temp_delivery_plural = $this->ChangeForDataFile($this->delivery_plural);
			$temp_delivery_expensive = $this->ChangeForDataFile($this->delivery_expensive);
			$temp_delivery_notes = $this->ChangeForDataFile($this->delivery_notes);
			
			$temp_postal_use = $this->ChangeForDataFile($this->postal_use);
			$temp_postal_detail = $this->ChangeForDataFile($this->postal_detail);
			$temp_bank_use = $this->ChangeForDataFile($this->bank_use);
			$temp_bank_detail = $this->ChangeForDataFile($this->bank_detail);
			$temp_substitution_use = $this->ChangeForDataFile($this->substitution_use);
			$temp_substitution_detail = $this->ChangeForDataFile($this->substitution_detail);
			
			$temp_law_name = $this->ChangeForDataFile($this->law_name);
			$temp_law_chargeperson = $this->ChangeForDataFile($this->law_chargeperson);
			$temp_law_address = $this->ChangeForDataFile($this->law_address);
			$temp_law_tel = $this->ChangeForDataFile($this->law_tel);
			$temp_law_fax = $this->ChangeForDataFile($this->law_fax);
			$temp_law_email = $this->ChangeForDataFile($this->law_email);
			$temp_law_deliverytime = $this->ChangeForDataFile($this->law_deliverytime);
			$temp_law_return = $this->ChangeForDataFile($this->law_return);
			$temp_law_etcpay = $this->ChangeForDataFile($this->law_etcpay);
			$temp_law_defective = $this->ChangeForDataFile($this->law_defective);
			$temp_law_expirationdate = $this->ChangeForDataFile($this->law_expirationdate);
			$temp_law_extra = $this->ChangeForDataFile($this->law_extra);
			$temp_law_software = $this->ChangeForDataFile($this->law_software);
			
			$temp_reg_code = $this->ChangeForDataFile($this->reg_code);
			$temp_reg_html = $this->ChangeForDataFile($this->reg_html);
			
			$fp = fopen($this->dat_folder.$this->setting_filename,w);
			$temp_data = "<?xml version=\"1.0\" encoding=\"utf-8\"?>
<setup>
<shop_overview><![CDATA[$temp_shop_overview]]></shop_overview>
<shop_name><![CDATA[$temp_shop_name]]></shop_name>
<shop_email><![CDATA[$temp_shop_email]]></shop_email>
<topinfo_html><![CDATA[$temp_topinfo_html]]></topinfo_html>
<shopex1_html><![CDATA[$temp_shopex1_html]]></shopex1_html>
<shopex2_html><![CDATA[$temp_shopex2_html]]></shopex2_html>
<delivery_yamato>$temp_delivery_yamato</delivery_yamato>
<delivery_nittsu>$temp_delivery_nittsu</delivery_nittsu>
<delivery_sagawa>$temp_delivery_sagawa</delivery_sagawa>
<delivery_yupack>$temp_delivery_yupack</delivery_yupack>
<delivery_etc><![CDATA[$temp_delivery_etc]]></delivery_etc>
<delivery_carriage><![CDATA[$temp_delivery_carriage]]></delivery_carriage>
<delivery_plural><![CDATA[$temp_delivery_plural]]></delivery_plural>
<delivery_expensive><![CDATA[$temp_delivery_expensive]]></delivery_expensive>
<delivery_notes><![CDATA[$temp_delivery_notes]]></delivery_notes>
<postal_use>$temp_postal_use</postal_use>
<postal_detail><![CDATA[$temp_postal_detail]]></postal_detail>
<bank_use>$temp_bank_use</bank_use>
<bank_detail><![CDATA[$temp_bank_detail]]></bank_detail>
<substitution_use>$temp_substitution_use</substitution_use>
<substitution_detail><![CDATA[$temp_substitution_detail]]></substitution_detail>
<law_name><![CDATA[$temp_law_name]]></law_name>
<law_chargeperson><![CDATA[$temp_law_chargeperson]]></law_chargeperson>
<law_address><![CDATA[$temp_law_address]]></law_address>
<law_tel><![CDATA[$temp_law_tel]]></law_tel>
<law_fax><![CDATA[$temp_law_fax]]></law_fax>
<law_email><![CDATA[$temp_law_email]]></law_email>
<law_deliverytime><![CDATA[$temp_law_deliverytime]]></law_deliverytime>
<law_return><![CDATA[$temp_law_return]]></law_return>
<law_etcpay><![CDATA[$temp_law_etcpay]]></law_etcpay>
<law_defective><![CDATA[$temp_law_defective]]></law_defective>
<law_expirationdate><![CDATA[$temp_law_expirationdate]]></law_expirationdate>
<law_extra><![CDATA[$temp_law_extra]]></law_extra>
<law_software><![CDATA[$temp_law_software]]></law_software>
<reg_code><![CDATA[$temp_reg_code]]></reg_code>
<reg_html><![CDATA[$temp_reg_html]]></reg_html>
</setup>
";
			fwrite($fp,mb_convert_encoding($temp_data, "UTF-8", "EUC-JP"));
			fclose($fp);
		}
		function SetShop($reg_code,$shop_overview,$shop_name,$shop_email){
			if($this->reg_code != "1"){
				if(md5($reg_code) == '9c0282d1110b5505ca67de6582b2c134'){
					$this->reg_code = "1";
					$this->reg_html = "2e20416c6c205269676874732052657365727665642e3c2f6469763e3c2f6469763e3c2f626f64793e3c2f68746d6c3e";
				}
			}
			$this->shop_overview = $shop_overview;
			$this->shop_name = $shop_name;
			$this->shop_email = $shop_email;
			$this->UpdateSettingFile();
		}
		function SetTopinfoHTML($temp_html){
			$this->topinfo_html = $temp_html;
			$this->UpdateSettingFile();
		}
		function SetShopExHTML($shopex1_html,$shopex2_html){
			$this->shopex1_html = $shopex1_html;
			$this->shopex2_html = $shopex2_html;
			$this->UpdateSettingFile();
		}
		
		
		
		function SetDelivery($delivery_method,$delivery_etc,$delivery_carriage,$delivery_plural,$delivery_expensive,$delivery_notes){
			if(is_array($delivery_method)){
				if(array_search('yamato',$delivery_method)===false or array_search('yamato',$delivery_method)===null){
					$this->delivery_yamato = 0;
				}else{
					$this->delivery_yamato = 1;
				}
				if(array_search('nittsu',$delivery_method)===false or array_search('nittsu',$delivery_method)===null){
					$this->delivery_nittsu = 0;
				}else{
					$this->delivery_nittsu = 1;
				}
				if(array_search('sagawa',$delivery_method)===false or array_search('sagawa',$delivery_method)===null){
					$this->delivery_sagawa = 0;
				}else{
					$this->delivery_sagawa = 1;
				}
				if(array_search('yupack',$delivery_method)===false or array_search('yupack',$delivery_method)===null){
					$this->delivery_yupack = 0;
				}else{
					$this->delivery_yupack = 1;
				}
			}else{
				$this->delivery_yamato = 0;
				$this->delivery_nittsu = 0;
				$this->delivery_sagawa = 0;
				$this->delivery_yupack = 0;
			}
			$this->delivery_etc = $delivery_etc;
			$this->delivery_carriage = $delivery_carriage;
			$this->delivery_plural = $delivery_plural;
			$this->delivery_expensive = $delivery_expensive;
			$this->delivery_notes = $delivery_notes;
			
			$this->UpdateSettingFile();
		}
		
		function SetPaymentMethod($temp_data){
			if(is_array($temp_data)){
				if(array_search('postal',$temp_data)===false or array_search('postal',$temp_data)===null){
					$this->postal_use = 0;
				}else{
					$this->postal_use = 1;
				}
				if(array_search('bank',$temp_data)===false or array_search('bank',$temp_data)===null){
					$this->bank_use = 0;
				}else{
					$this->bank_use = 1;
				}
				if(array_search('substitution',$temp_data)===false or array_search('substitution',$temp_data)===null){
					$this->substitution_use = 0;
				}else{
					$this->substitution_use = 1;
				}
			}else{
				$this->postal_use = 0;
				$this->bank_use = 0;
				$this->substitution_use = 0;
			}
			$this->UpdateSettingFile();
		}
		function SetPaymentDetail($postal_detail,$bank_detail,$substitution_detail){
			$this->postal_detail = $postal_detail;
			$this->bank_detail = $bank_detail;
			$this->substitution_detail = urldecode($substitution_detail);
			$this->UpdateSettingFile();
		}
		
		
		function SetLaw($law_name,$law_chargeperson,$law_address,$law_tel,$law_fax,$law_email,$law_deliverytime,$law_return,$law_etcpay,$law_defective,$law_expirationdate,$law_extra,$law_software){
			$this->law_name = $law_name;
			$this->law_chargeperson = $law_chargeperson;
			$this->law_address = $law_address;
			$this->law_tel = $law_tel;
			$this->law_fax = $law_fax;
			$this->law_email = $law_email;
			$this->law_deliverytime = $law_deliverytime;
			$this->law_return = $law_return;
			$this->law_etcpay = $law_etcpay;
			$this->law_defective = $law_defective;
			$this->law_expirationdate = $law_expirationdate;
			$this->law_extra = $law_extra;
			$this->law_software = $law_software;
			
			$this->UpdateSettingFile();
		}
		
		
		
		function UpdateCSSFile(){
			$temp_data = '';
			$fp = fopen($this->dat_folder.$this->css_filename,w);
			$temp_data = "
body{
	margin: 0px;
	padding: 0px;
	background-color: $this->body_bgcolor;
	font-size: small;
}
h1{
	display: none;
}
h2{
	margin: 10px 20px 10px 20px;
	font-size: small;
	font-weight: bold;
}
h3{
	margin: 10px 20px 10px 20px;
	font-size: small;
	font-weight: normal;
	border-style: none;
	border-left: 1px #cccccc solid;
	border-bottom: 1px #cccccc solid;
}
hr{
	width: 95%;
}

#topinfo{
	position: relative;
	width: 720px;
	margin: 0px auto 0px auto;
	padding: 0px;
	float: none;
	clear: both;
	background-color: $this->topinfo_bgcolor;
	color: $this->topinfo_color;
	height: $this->topinfo_height;
	text-align: $this->topinfo_align;
}
#goodsview{
	position: relative;
	width: 720px;
	margin: 0px auto 0px auto;
	padding: 10px 0px 10px 0px;
	float: none;
	clear: both;
	background-color: $this->goodsview_bgcolor;
	color: $this->goodsview_color;
}
#underinfo{
	position: relative;
	width: 720px;
	margin: 0px auto 0px auto;
	padding: 0px;
	float: none;
	clear: both;
	background-color: $this->underinfo_bgcolor;
	text-align: $this->underinfo_align;
	font-size: small;
	color: $this->underinfo_color;
}

#goodsview ul{
	width: 90%;
	list-style-type: none;
	margin: 20px auto 20px auto;
	padding: 0px;
}
#goodsview li{
	background-color: #f3f3f3;
	margin: 1px;
	padding: 8px 20px 8px 20px;
}

#goodsview table{
	border-style: none;
	margin: 10px 20px 40px 20px;
	padding: 0px;
}

#goodsview table.varioustable{
	border-style: none;
	padding: 0px 0px 0px 0px;
	width: 640px;
}
/* ************* common ***************** */
span.error{
	color: red;
	font-size: x-small;
}
span.inthebasket{
	font-size: x-small;
	font-weight: normal;
}
a{
   color : #0c126c;
   text-decoration : underline;
}
a:hover{
   text-decoration : none;
}
p{
	margin: 10px 20px 10px 20px;
	padding: 0px;
}
p.right{
	text-align: right;
}
p#navigate{
	display: block;
	text-align: center;
}

/* ************* list.php ***************** */
#goodsview #backandforthnavi{
	padding: 0px;
	margin: 0px;
	font-size: small;
	text-align: center;
}
form#categorynavi{
	position: relative;
	width: 100%;
	margin: 0px;
	padding: 0px;
	float: none;
	clear: both;
	background-color: white;
	text-align: right;
}
/* ************* list.php list ***************** */
#goodsview td.listphoto{
	border-style: none;
	background-color: white;
	padding: 20px 0px 3px 0px;
	width: 50px;
}
#goodsview td.listname{
	border-style: none;
	border-bottom: 1px #dddddd solid;
	background-color: white;
	padding: 20px 10px 3px 5px;
}
#goodsview td.listprice{
	border-style: none;
	border-bottom: 1px #dddddd solid;
	background-color: #ffeeee;
	padding: 20px 4px 3px 0px;
	text-align: right;
	font-weight: bold;
	width: 150px;
}
#goodsview td.head{
	border-style: none;
	background-color: #ffeeee;
	padding: 10px 4px 10px 4px;
	font-size: small;
	width: 100px;
}
p#categoryexplanation{
	margin: 20px auto 0px auto;
	text-align: center;
	width: 600px;
}
/* ************* list.php detail ***************** */
#goodsview td.detailname{
	border-style: none;
	background-color: white;
	padding: 10px 4px 10px 4px;
	font-size: medium;
}
#goodsview td.detailprice{
	border-style: none;
	background-color: white;
	padding: 10px 4px 10px 4px;
	font-size: medium;
	font-weight: bold;
}
#goodsview td.detailexp1{
	border-style: none;
	background-color: white;
	padding: 10px 4px 10px 4px;
	font-size: small;
}
#goodsview td.detailexp2{
	border-style: none;
	background-color: white;
	padding: 10px 4px 10px 4px;
	font-size: small;
}
#goodsview img.goodsphoto{
	margin: 20px auto 20px 40px;
	border-style: none;
}


/* ************* order.php ***************** */
td.mailformhead{
	width: 100px;
	background-color: #eeeeee;
	font-size: small;
}
td.orderprice{
	padding: 0px;
	width: 200px;
	background-color: white;
	border-style: none;
	border-bottom: 1px #dddddd solid;
	font-size: small;
	text-align: right;
}
td#ordertotalprice{
	padding: 20px 0px 0px 0px;
	background-color: white;
	border-style: none;
	border-bottom: 1px #dddddd solid;
	font-size: small;
	text-align: right;
}
input#lastname{
	width: 100px;
}
input#firstname{
	width: 100px;
}
input#address{
	width: 300px;
}
input#tel{
	width: 100px;
}
input#email{
	width: 200px;
}
/* ************* search.php ***************** */
table#searchresult{
	margin: 10px auto 10px auto;
	width: 90%;
}
input#searchbox{
	width: 200px;
}
td#resultnumber{
	text-align: right;
	font-size: small;
	font-weight: bold;
	background-color: #f3f3f3;
}
/* ************* tokushoho.php ***************** */
td.tokushohotitle{
	padding: 7px 5px;
	background-color: #eeeeee;
	width: 200px;
	vertical-align: middle;
}
td.tokushohocontent{
	padding: 7px 5px;
	vertical-align: top;
}
/* ************* howtouse.php ***************** */
p.howtouse{
	margin: 10px 20px 10px 35px;
	padding: 0px;
}
td.howtobuytitle{
	background-color: #eeeeee;
	text-align: center;
	margin: 0px;
	padding: 10px 5px;
}
td.howtobuycontent{
	background-color: white;
	margin: 0px;
	padding: 10px 5px 0px 5px;
	border-style: none;
	border-bottom: 1px #dddddd solid;
}
";
			fwrite($fp,$temp_data);
			fclose($fp);
		}
		function SetBackgroundColor($body_bgcolor){
			$this->body_bgcolor = $body_bgcolor;
			$this->UpdateCSSFile();
		}
		function SetTopinfo($topinfo_bgcolor,$topinfo_color,$topinfo_height,$topinfo_align){
			$this->topinfo_bgcolor = $topinfo_bgcolor;
			$this->topinfo_color = $topinfo_color;
			$this->topinfo_height = $topinfo_height;
			$this->topinfo_align = $topinfo_align;
			$this->UpdateCSSFile();
		}
		function SetGoodsview($goodsview_bgcolor,$goodsview_color){
			$this->goodsview_bgcolor = $goodsview_bgcolor;
			$this->goodsview_color = $goodsview_color;
			$this->UpdateCSSFile();
		}
		function SetUnderinfo($underinfo_bgcolor,$underinfo_color,$underinfo_align){
			$this->underinfo_bgcolor = $underinfo_bgcolor;
			$this->underinfo_color = $underinfo_color;
			$this->underinfo_align = $underinfo_align;
			$this->UpdateCSSFile();
		}
		
		function Setting($dat_folder){
			
			if($dat_folder == '' or !is_file($dat_folder.$this->setting_filename)){
				echo 'եλְ꤬äƤޤ';
			}else{
				$this->dat_folder = $dat_folder;
				
				$fp = fopen($this->dat_folder.$this->css_filename,r);
				while (!feof ($fp)) {
					list($key,$data) = split(":",fgets($fp,1024));
					$key = trim($key);
					$data = trim($data);
					$data = substr($data, 0, -1);
					
					if($key=='body{'){
						$temp_property = $key;
					}elseif($key=='#topinfo{'){
						$temp_property = $key;
					}elseif($key=='#goodsview{'){
						$temp_property = $key;
					}elseif($key=='#underinfo{'){
						$temp_property = $key;
					}
					
					switch($temp_property){
						case 'body{':
							if($key=='background-color'){ $this->body_bgcolor = $data; }
							break;
						case '#topinfo{':
							if($key=='background-color'){ $this->topinfo_bgcolor = $data; }
							elseif($key=='color'){ $this->topinfo_color = $data; }
							elseif($key=='text-align'){ $this->topinfo_align = $data; }
							elseif($key=='height'){ $this->topinfo_height = $data; }
							break;
						case '#goodsview{':
							if($key=='background-color'){ $this->goodsview_bgcolor = $data; }
							elseif($key=='color'){ $this->goodsview_color = $data; }
							break;
						case '#underinfo{':
							if($key=='background-color'){ $this->underinfo_bgcolor = $data; }
							elseif($key=='color'){ $this->underinfo_color = $data; }
							elseif($key=='text-align'){ $this->underinfo_align = $data; }
							break;
					}
					
					if($key=='}'){
						$temp_property='';
					}
				}
				fclose($fp);
				
				$this->xml_parser = xml_parser_create();
				
				xml_set_object($this->xml_parser, $this);
				xml_set_element_handler($this->xml_parser, "startElement", "endElement");
				xml_set_character_data_handler($this->xml_parser, "characters");
				xml_parser_set_option($this->xml_parser, XML_OPTION_CASE_FOLDING, false);
				
				if (!($fp = fopen($dat_folder.$this->setting_filename, "r"))) {
					die("could not open XML input");
				}
				while ($data = fread($fp, filesize($dat_folder.$this->setting_filename))) {
					if (!xml_parse($this->xml_parser, $data, feof($fp))) {
						die(sprintf("XML error: %s at line %d",
							xml_error_string(xml_get_error_code($this->xml_parser)),
							xml_get_current_line_number($this->xml_parser)));
				    }
				}
				xml_parser_free($this->xml_parser);
			}
		}
		
		function startElement($parser, $name, $attrs){
			global $tmp;
			$tmp = '';
		}
		
		function endElement($parser, $name){
			global $tmp;
			
			switch($name){
				case 'shop_overview':
					$this->shop_overview = $tmp;
					$tmp = '';
					break;
				case 'shop_name':
					$this->shop_name = $tmp;
					$tmp = '';
					break;
				case 'topinfo_html':
					$this->topinfo_html = $tmp;
					$tmp = '';
					break;
				case 'shopex1_html':
					$this->shopex1_html = $tmp;
					$tmp = '';
					break;
				case 'shopex2_html':
					$this->shopex2_html = $tmp;
					$tmp = '';
					break;
				case 'shop_email':
					$this->shop_email = $tmp;
					$tmp = '';
					break;
					
				case 'delivery_yamato':
					$this->delivery_yamato = $tmp;
					$tmp = '';
					break;
				case 'delivery_nittsu':
					$this->delivery_nittsu = $tmp;
					$tmp = '';
					break;
				case 'delivery_sagawa':
					$this->delivery_sagawa = $tmp;
					$tmp = '';
					break;
				case 'delivery_yupack':
					$this->delivery_yupack = $tmp;
					$tmp = '';
					break;
				case 'delivery_etc':
					$this->delivery_etc = $tmp;
					$tmp = '';
					break;
				case 'delivery_carriage':
					$this->delivery_carriage = $tmp;
					$tmp = '';
					break;
				case 'delivery_plural':
					$this->delivery_plural = $tmp;
					$tmp = '';
					break;
				case 'delivery_expensive':
					$this->delivery_expensive = $tmp;
					$tmp = '';
					break;
				case 'delivery_notes':
					$this->delivery_notes = $tmp;
					$tmp = '';
					break;
					
					
				case 'postal_use':
					$this->postal_use = $tmp;
					$tmp = '';
					break;
				case 'postal_detail':
					$this->postal_detail = $tmp;
					$tmp = '';
					break;
				case 'bank_use':
					$this->bank_use = $tmp;
					$tmp = '';
					break;
				case 'bank_detail':
					$this->bank_detail = $tmp;
					$tmp = '';
					break;
				case 'substitution_use':
					$this->substitution_use = $tmp;
					$tmp = '';
					break;
				case 'substitution_detail':
					$this->substitution_detail = $tmp;
					$tmp = '';
					break;
					
					
				case 'law_name':
					$this->law_name = $tmp;
					$tmp = '';
					break;
				case 'law_chargeperson':
					$this->law_chargeperson = $tmp;
					$tmp = '';
					break;
				case 'law_address':
					$this->law_address = $tmp;
					$tmp = '';
					break;
				case 'law_tel':
					$this->law_tel = $tmp;
					$tmp = '';
					break;
				case 'law_fax':
					$this->law_fax = $tmp;
					$tmp = '';
					break;
				case 'law_email':
					$this->law_email = $tmp;
					$tmp = '';
					break;
				case 'law_deliverytime':
					$this->law_deliverytime = $tmp;
					$tmp = '';
					break;
				case 'law_return':
					$this->law_return = $tmp;
					$tmp = '';
					break;
				case 'law_etcpay':
					$this->law_etcpay = $tmp;
					$tmp = '';
					break;
				case 'law_defective':
					$this->law_defective = $tmp;
					$tmp = '';
					break;
				case 'law_expirationdate':
					$this->law_expirationdate = $tmp;
					$tmp = '';
					break;
				case 'law_extra':
					$this->law_extra = $tmp;
					$tmp = '';
					break;
				case 'law_software':
					$this->law_software = $tmp;
					$tmp = '';
					break;
					
				case 'reg_code':
					$this->reg_code = $tmp;
					$tmp = '';
					break;
				case 'reg_html':
					$this->reg_html = $tmp;
					$tmp = '';
					break;
			}
		}
		
		function characters($parser, $text){
			global $tmp;
			
			$text = mb_convert_encoding($text, "EUC-JP", "UTF-8");
			$text = trim($text);
			$tmp = $tmp.str_replace('(r)',"<br />",$text);
		}
	}
?>