<?php
	class GoodsDetail{
		var $xml_parser;
		
		var $id;
		var $category;
		var $name;
		var $price;
		var $ex1;
		var $ex2;
		var $photo;
		
		var $previousid;
		var $nextid;
		
		var $readdetailflag;
		var $readpreviousidflag;
		var $readnextidflag;
		
		function GoodsDetail($filelocation,$view_goods){
			if($filelocation == '' or !is_file($filelocation)){
				echo 'եλְ꤬äƤޤ';
			}else{
				$this->id = $view_goods;
				$this->readdetailflag = false;
				$this->readpreviousidflag = false;
				$this->readnextidflag = 0;
				
				$this->xml_parser = xml_parser_create();
				
				xml_set_object($this->xml_parser, $this);
				xml_set_element_handler($this->xml_parser, "startElement", "endElement");
				xml_set_character_data_handler($this->xml_parser, "characters");
				xml_parser_set_option($this->xml_parser, XML_OPTION_CASE_FOLDING, false);
				
				if (!($fp = fopen($filelocation, "r"))) {
					die("could not open XML input");
				}
				while ($data = fread($fp, filesize($filelocation))) {
					if (!xml_parse($this->xml_parser, $data, feof($fp))) {
						die(sprintf("XML error: %s at line %d",
							xml_error_string(xml_get_error_code($this->xml_parser)),
							xml_get_current_line_number($this->xml_parser)));
				    }
				}
				xml_parser_free($this->xml_parser);
			}
		}
		
		function startElement($parser, $name, $attrs){
			global $tmp;
			$tmp = '';
			
			if($name == 'item'){
				if($attrs['id'] == $this->id){
					$this->category = mb_convert_encoding($attrs['category'], "EUC-JP", "UTF-8");
					$this->name = mb_convert_encoding($attrs['name'], "EUC-JP", "UTF-8");
					$this->price = mb_convert_encoding($attrs['price'], "EUC-JP", "UTF-8");
					
					$this->readdetailflag = true;
					$this->readpreviousidflag = true;
				}
				
				if($this->readnextidflag == 1){
					$this->nextid = $attrs['id'];
				}
				
				if(!$this->readpreviousidflag){
					$this->previousid = $attrs['id'];
				}else{
					$this->readnextidflag++;
				}
			}
		}
		
		function endElement($parser, $name){
			global $tmp;
			
			if($this->readdetailflag){
				if($name == 'ex1'){
					$this->ex1 = str_replace('(r)',"<br />",$tmp);
					$tmp = '';
				}elseif($name == 'ex2'){
					$this->ex2 = str_replace('(r)',"<br />",$tmp);
					$tmp = '';
				}elseif($name == 'photo'){
					$this->photo = $tmp;
					$this->readdetailflag = false;
					$tmp = '';
				}
			}
			
		}
		
		function characters($parser, $text){
			global $tmp;
			
			$text = mb_convert_encoding($text, "EUC-JP", "UTF-8");
			
			$tmp = $tmp.$text;
		}
	}
?>