<?php
	class GoodsList{
		var $id;
		var $category;
		var $name;
		var $price;
		var $ex1;
		var $ex2;
		var $photo;
		
		var $length;
		
		var $view_category;
		
		var $filelocation;
		
		function ExportGoodsList(){
			$fp = fopen($this->filelocation,w);
			
			fwrite($fp,mb_convert_encoding('<?xml version="1.0" encoding="utf-8"?><items>',"utf-8"));
			
			for($i=0;$i<$this->length;$i++){
				fwrite($fp,mb_convert_encoding('<item id="'.$this->id[$i].'" category="'.$this->category[$i].'" name="'.$this->name[$i].'" price="'.$this->price[$i].'"><ex1><![CDATA['.$this->ex1[$i].']]></ex1><ex2><![CDATA['.$this->ex2[$i].']]></ex2><photo><![CDATA['.$this->photo[$i].']]></photo></item>',"utf-8"));
			}
			fwrite($fp,mb_convert_encoding('</items>',"utf-8"));
			
			fclose($fp);
		}
		
		function Delete($inputid){
			$inputid = trim($inputid);
			
			if($inputid !== ''){
				$this->length--;
				
				$key = array_search($inputid,$this->id);
				if($key!==false and $key!==null){
					array_splice($this->id,$key,1);
					array_splice($this->category,$key,1);
					array_splice($this->name,$key,1);
					array_splice($this->price,$key,1);
					array_splice($this->ex1,$key,1);
					array_splice($this->ex2,$key,1);
					array_splice($this->photo,$key,1);
				}
				
				$this->ExportGoodsList();
			}
		}
		
		function Copy($inputid){
			if($inputid !== ''){
				$key = array_search($inputid,$this->id);
				
				if($this->length==0){
					$temp_id = 0;
				}else{
					for($i=0;$i<=$this->length;$i++){
						if(array_search($i,$this->id)===false or array_search($i,$this->id)===null){
							$temp_id = $i;
							break;
						}
					}
				}
				$this->length++;
				
				$this->id[] = strval($temp_id);
				$this->category[] = intval($this->category[$key]);
				$this->name[] = strval($this->name[$key]);
				$this->price[] = intval($this->price[$key]);
				$this->ex1[] = strval($this->ex1[$key]);
				$this->ex2[] = strval($this->ex2[$key]);
				$this->photo[] = strval($this->photo[$key]);
				
				$this->ExportGoodsList();
			}
		}
		
		function Modify($inputid,$inputcategory,$inputname,$inputprice,$inputex1,$inputex2,$inputphoto){
			$inputid = trim($inputid);
			$inputcategory = trim($inputcategory);
			$inputname = trim($inputname);
			$inputprice = trim($inputprice);
			$inputex1 = str_replace("\r\n","(r)",$inputex1);
			$inputex1 = str_replace("\n","(r)",$inputex1);
			$inputex1 = str_replace("<br />","(r)",$inputex1);
			$inputex2 = str_replace("\r\n","(r)",$inputex2);
			$inputex2 = str_replace("\n","(r)",$inputex2);
			$inputex2 = str_replace("<br />","(r)",$inputex2);
			$inputphoto = trim($inputphoto);
			
			if($inputcategory!='' and $inputname!='' and $inputprice!=''){
				$key = array_search($inputid,$this->id);
				if($key!==false and $key!==null){
					$this->category[$key] = intval($inputcategory);
					$this->name[$key] = strval($inputname);
					$this->price[$key] = intval($inputprice);
					$this->ex1[$key] = strval($inputex1);
					$this->ex2[$key] = strval($inputex2);
					$this->photo[$key] = strval($inputphoto);
				}
				
				$this->ExportGoodsList();
			}
		}
		
		function Insert($inputcategory,$inputname,$inputprice,$inputex1,$ex2,$inputphoto){
			$inputcategory = trim($inputcategory);
			$inputname = trim($inputname);
			$inputprice = trim($inputprice);
			$inputex1 = trim($inputex1);
			$inputex1 = str_replace("\r\n","(r)",$inputex1);
			$inputex1 = str_replace("\n","(r)",$inputex1);
			$inputex2 = str_replace("\r\n","(r)",$inputex2);
			$inputex2 = str_replace("\n","(r)",$inputex2);
			$inputphoto = trim($inputphoto);
			
			if($inputcategory!='' and $inputprice!=''){
				if($this->length==0){
					$temp_id = 0;
				}else{
					for($i=0;$i<=$this->length;$i++){
						if(array_search($i,$this->id)===false or array_search($i,$this->id)===null){
							$temp_id = $i;
							break;
						}
					}
				}
				$this->length++;
				
				$this->id[] = strval($temp_id);
				$this->category[] = intval($inputcategory);
				$this->name[] = strval($inputname);
				$this->price[] = intval($inputprice);
				$this->ex1[] = strval($inputex1);
				$this->ex2[] = strval($inputex2);
				$this->photo[] = strval($inputphoto);
				
				$this->ExportGoodsList();
			}
		}
		
		function IdToName($id){
			$return = false;
			if($id!==''){
				$temp_id = array_search($id,$this->id);
				$return = $this->name[$temp_id];
			}
			return $return;
		}
		
		function IdToPrice($id){
			$return = false;
			if($id!==''){
				$temp_id = array_search($id,$this->id);
				$return = $this->price[$temp_id];
			}
			return $return;
		}
		
		function IdToPhoto($id){
			$return = false;
			if($id!==''){
				$temp_id = array_search($id,$this->id);
				$return = $this->photo[$temp_id];
			}
			return $return;
		}
		
		function GoodsList($filelocation){
			if($filelocation == '' or !is_file($filelocation)){
				echo 'եλְ꤬äƤޤ';
			}else{
				$this->filelocation = $filelocation;
				
				$this->view_category = $view_category;
				
				$this->xml_parser = xml_parser_create();
				
				xml_set_object($this->xml_parser, $this);
				xml_set_element_handler($this->xml_parser, "startElement", "endElement");
				xml_set_character_data_handler($this->xml_parser, "characters");
				xml_parser_set_option($this->xml_parser, XML_OPTION_CASE_FOLDING, false);
				
				if (!($fp = fopen($this->filelocation, "r"))) {
					die("could not open XML input");
				}
				while ($data = fread($fp, filesize($this->filelocation))) {
					if (!xml_parse($this->xml_parser, $data, feof($fp))) {
						die(sprintf("XML error: %s at line %d",
							xml_error_string(xml_get_error_code($this->xml_parser)),
							xml_get_current_line_number($this->xml_parser)));
				    }
				}
				xml_parser_free($this->xml_parser);
				
				$this->length = count($this->id);
			}
		}
		
		function startElement($parser, $name, $attrs){
			global $tmp;
			$tmp = '';
			
			if($name == 'item'){
				$this->id[] = mb_convert_encoding($attrs['id'], "EUC-JP", "UTF-8");
				$this->category[] = mb_convert_encoding($attrs['category'], "EUC-JP", "UTF-8");
				$this->name[] = mb_convert_encoding($attrs['name'], "EUC-JP", "UTF-8");
				$this->price[] = mb_convert_encoding($attrs['price'], "EUC-JP", "UTF-8");
			}
		}
		
		function endElement($parser, $name){
			global $tmp;
			
			if($name == 'ex1'){
				$this->ex1[] = str_replace('(r)',"<br />",$tmp);
				$tmp = '';
			}elseif($name == 'ex2'){
				$this->ex2[] = str_replace('(r)',"<br />",$tmp);
				$tmp = '';
			}elseif($name == 'photo'){
				$this->photo[] = $tmp;
				$this->readdetailflag = false;
				$tmp = '';
			}
		}
		
		function characters($parser, $text){
			global $tmp;
			
			$text = mb_convert_encoding($text, "EUC-JP", "UTF-8");
			
			$tmp = $tmp.$text;
		}
	}
?>