<?php
	header("Content-Type: text/html; charset=euc-jp");
	header("Expires: Thu, 01 Dec 1994 16:00:00 GMT");
	header("Last-Modified: ". gmdate("D, d M Y H:i:s"). " GMT");
	header("Cache-Control: no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0", false);
	header("Pragma: no-cache");
	
	include('lib/setting.cls');
	$set = new Setting('dat/');
	
	include('lib/function.lib');
	
	include('lib/goodslistle.cls');
	include('lib/basket.cls');
	
	if($HTTP_GET_VARS{'id'}!=''){
		include('lib/goodsdetaille.cls');
		$goods = new GoodsDetail('./dat/goods.xml',intval($HTTP_GET_VARS{'id'}));
	}else{
		$goodslist = new GoodsList('./dat/goods.xml');
	}
	
	if(!is_null($HTTP_GET_VARS{'id'})){
		if($goods->name!=''){
			$html_title = $goods->name." - ".$set->shop_name;
		}else{
			$html_title = "ʤ¸ߤޤ"." - ".$set->shop_name;
		}
	}else{
		$html_title = $set->shop_name;
	}
	
	$basket = new Basket();
	if($HTTP_GET_VARS{'basket'}!=''){
		if($basket->Exist($HTTP_GET_VARS{'basket'})){
			$result = $basket->Delete($HTTP_GET_VARS{'basket'});
		}else{
			$result = $basket->Insert($HTTP_GET_VARS{'basket'});
		}
	}
	
	printheader($html_title,$set->shop_name,"dat/store.css",0,1,$set->topinfo_html);
	
	if(!is_null($HTTP_GET_VARS{'id'})){
		
		echo "<div id=backandforthnavi>";
		if($goods->previousid!=''){
			echo "<a href=list.php?id=".$goods->previousid.">ξʤ</a>";
		}else{
			echo "ξʤ";
		}
		if($goods->nextid!=''){
			echo " <a href=list.php?id=".$goods->nextid.">ξʤ</a>";
		}else{
			echo " ξʤ";
		}
		echo "</div>";
		
		
		
		if($goods->photo!=''){
			echo "<img src=photo/$goods->photo class=goodsphoto>";
		}
		
		
		
		echo "<table class=varioustable>
			<tr><td class=head>̾</td><td class=detailname>".$goods->name."</td></tr>
			<tr><td class=head></td><td class=detailprice>\\".number_format($goods->price)." -</td></tr>
			<tr><td class=head>ʸ1</td><td class=detailexp1>".$goods->ex1."</td></tr>
			<tr><td class=head>ʸ2</td><td class=detailexp2>".$goods->ex2."</td></tr>
		</table>";
		
		
		if($basket->Exist($goods->id)){
			echo "<p class=right><a href=?basket=".$goods->id."></a></p>";
		}else{
			echo "<p class=right><a href=?basket=".$goods->id."></a></p>";
		}
		
		
	}else{
		echo "<p>$set->shopex1_html</p>";
		
		if($goodslist->length==0){
			echo "<p>ʤϿƤޤ</p>";
		}else{
			echo "<table class=varioustable>";
			for($i=0;$i<$goodslist->length;$i++){
				echo "<tr><td class=listphoto>";
				if($goodslist->photo[$i] != ''){
					echo "<img src=photo/".$goodslist->photo[$i]." width=50>";
				}else{
					echo "&nbsp;";
				}
				echo "</td>";
				echo "<td class=listname><a href=?id=".$goodslist->id[$i].">".$goodslist->name[$i]."</a></td>";
				echo "<td class=listprice>";
				echo "&nbsp;\\".number_format($goodslist->price[$i]);
				echo "</td></tr>\n";
			}
			echo "</table>";
		}
		
		echo "<p>$set->shopex2_html</p>";
		
	}
	printfooter($set->shop_name,$set->reg_html,0);
?>
